﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.MaEnquiry>
@{
    ViewBag.Title = "EnquiryAnalysis";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{
    @*<script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
        <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
        <link href="@Url.Content("Content/DT_bootstrap.css")" rel="stylesheet" type="text/css" />*@

    @Content.Script("table-managed.js", Url)
    @Content.Script("ChildAddEdit.js", Url)
    @*@Content.Script("jquery.tablesorter.js", Url)
        @Content.Script("jquery.tablesorter.pager.js", Url)*@

    <script src="~/Content/datatable/jquery.dataTables.min.js"></script>
    <link href="~/Content/datatable/jquery.dataTables.css" rel="stylesheet" />


    <style type="text/css">
        div.box div.overlay { display: none; }
    </style>
    <script type="text/javascript">
        $(document).ready(function () {
            var lastIdx = null;
            var table = $('#example').DataTable();

            $('#example tbody')
                .on('mouseover', 'td', function () {
                    var colIdx = table.cell(this).index().column;

                    if (colIdx !== lastIdx) {
                        $(table.cells().nodes()).removeClass('highlight');
                        $(table.column(colIdx).nodes()).addClass('highlight');
                    }
                })
                .on('mouseleave', function () {
                    $(table.cells().nodes()).removeClass('highlight');
                });
        });
    </script>





    <script type="text/javascript">
        $(function () {
            $(".box").hover(function () {
                $(this).find(".overlay").fadeIn();
            }
                            , function () {
                                $(this).find(".overlay").fadeOut();
                            }
                           );
        });
    </script>



    <script type="text/javascript">
        $(document).ready(function () {
            //$("#format").css('width', '80px');

            $("#dateofwnquiry").datepicker();
            $("#tdate").datepicker();
            $('.hasDatepicker').attr("autocomplete", "off");
            $("#format").css('width', '100px');
            $("#pagng").css('width', '80px');
            $("#txtpageno").css('width', '100px');
            // $("#enqstatus").css('width', '150px');
            $("#CourseGroup").css('width', '150px');
            $("#enquiryabt").val($("#hiddenqabut").val());
            $("#enqstatus").val($("#hiddenenqst").val());
            $("#status").val($("#hdnstatus").val());
            $("#UserList").val($("#hiddenusr").val());
            $(":text").keypress(function (event) {
                //filter enter key only
                if (event.keyCode == 13) {
                    searchfun();
                }
                return true;
            });



        });

    </script>
    <script type="text/javascript">
        deleterecord("MaEnquiry");

        $("#Searchbtn").click(function () {
            searchfun();

        });


        function searchfun() {

            var date = $("#dateofwnquiry").val();
            var todate = $("#tdate").val();
            var usr = $("#UserList").val();
            var enqstatus = $("#enqstatus").val();
            var enquiryabout = $("#CourseGroup").val();
            var FollowUpStatus = $("#status").val();
            var eno = $("#enqno").val();
            var mno = $("#mobileno").val();

            if (date == "" || todate == "") {
                alert("Date must be fill");
                return;
            }

            if (usr == undefined) {

                window.location.href = "/MaEnquiry/EnquiryAnalysis?date=" + date + "&tdate=" + todate + "&Status=" + FollowUpStatus + "&enqno=" + eno + "&mobileno=" + mno;
            }
            if (enqstatus == "All") {
                window.location.href = "/MaEnquiry/EnquiryAnalysis?date=" + date + "&tdate=" + todate + "&usr=" + usr + "&enqstatus=T" + "&enquiryabout=" + enquiryabout + "&&Status=" + FollowUpStatus + "&enqno=" + eno + "&mobileno=" + mno;;
            }

            if (enquiryabout == "All") {
                window.location.href = "/MaEnquiry/EnquiryAnalysis?date=" + date + "&tdate=" + todate + "&usr=" + usr + "&enqstatus=" + enqstatus + "&enquiryabout=enabut" + "&&Status=" + FollowUpStatus + "&enqno=" + eno + "&mobileno=" + mno;;
            }
            else {
                window.location.href = "/MaEnquiry/EnquiryAnalysis?date=" + date + "&tdate=" + todate + "&usr=" + usr + "&enqstatus=" + enqstatus + "&enquiryabout=" + enquiryabout + "&&Status=" + FollowUpStatus + "&enqno=" + eno + "&mobileno=" + mno;;
            }


            $("#UserList").val(usr);

        }


        $("#GetReport").click(function () {
            Report();

        });

        function Report() {

            var date = $("#dateofwnquiry").val();
            var todate = $("#tdate").val();
            var usr = $("#UserList").val();
            var enqstatus = $("#enqstatus").val();
            var enquiryabout = $("#CourseGroup").val();
            var format = $("#format").val();
            var FollowUpStatus = $("#status").val();
            if (usr == undefined) {
                var a = document.createElement('a');
                a.href = '/MaEnquiry/EnquiryAnalysisReport?date=' + date + "&&tdate=" + todate + "&&Status=" + FollowUpStatus;
                a.target = '_blank';
                document.body.appendChild(a);
                a.click();

            }
            if (enqstatus == "All") {

                var a = document.createElement('a');
                a.href = '/MaEnquiry/EnquiryAnalysisReport?date=' + date + "&&tdate=" + todate + "&&usr=" + usr + "&&enqstatus=T" + "&&enquiryabout=" + enquiryabout + "&&format=" + format + "&&Status=" + FollowUpStatus;
                a.target = '_blank';
                document.body.appendChild(a);
                a.click();

            }

            if (enquiryabout == "All") {
                var a = document.createElement('a');
                a.href = '/MaEnquiry/EnquiryAnalysisReport?date=' + date + "&&tdate=" + todate + "&&usr=" + usr + "&&enqstatus=" + enqstatus + "&&enquiryabout=enabut" + "&&format=" + format + "&&Status=" + FollowUpStatus;
                a.target = '_blank';
                document.body.appendChild(a);
                a.click();

            }
            else {
                var a = document.createElement('a');
                a.href = '/MaEnquiry/EnquiryAnalysisReport?date=' + date + "&&tdate=" + todate + "&&usr=" + usr + "&&enqstatus=" + enqstatus + "&&enquiryabout=" + enquiryabout + "&&format=" + format + "&&Status=" + FollowUpStatus;
                a.target = '_blank';
                document.body.appendChild(a);
                a.click();

            }


            $("#UserList").val(usr);

        }


    </script>
    <script type="text/javascript">
        $(function () {
            $(".table").tablesorter({ widthFixed: true })
             .tablesorterPager({ container: $("#pager"), size: $(".pagesize option:selected").val() });
        });
    </script>
}
@{
    SSCMvc.Models.SSCWebDBEntities1 db = new SSCMvc.Models.SSCWebDBEntities1();
}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Enquiry Analysis
    </h1>
</div>
<ul class="breadcrumb">
    @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
        string refadd = CommonUtil.HomeAddress(utype);
    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div class="container-fluid">
    <div class="row-fluid">
        <fieldset style="padding:10px;">
            <legend>Search Here  :</legend>
            <div style="margin-top: 20px;margin-left:15px" align="center">
                <table style="width: 99%; text-align: center" align="left">
                    <tr>
                        <td style="width: 80px">
                            <b>From Date</b>
                        </td>
                        <td style="width: 80px">
                            <b>To Date</b>
                        </td>
                        <td>
                            <b>Enq Handled by</b>
                        </td>
                        <td>
                            <b>Admission. Status </b>
                        </td>
                        <td>
                            <b>Enq. Status </b>
                        </td>

                        <td>
                            <b>Enquiry About</b>
                        </td>

                        <td>
                            <strong>Enq Number</strong>
                        </td>
                        <td>
                            <strong>Mobile Number</strong>
                        </td>
                        <td><b>Format</b></td>
                    </tr>
                    <tr>
                        <td>
                            <input id="dateofwnquiry" type="text" style="width: 100px" value="@ViewBag.fdate" />
                        </td>

                        <td>
                            <input id="tdate" type="text" style="width:100px" value="@ViewBag.tdate" />
                        </td>
                        <td align="left">
                            @Html.DropDownList("UserList", "All")
                            <input type="hidden" value="@ViewBag.usrval" id="hiddenusr" />
                        </td>
                        <td align="left">
                            <select id="enqstatus">
                                <option value="All">All</option>
                                <option value="Converted">Converted</option>
                                <option value="UnConverted">UnConverted</option>
                            </select>
                            <input type="hidden" value="@ViewBag.Enqst" id="hiddenenqst" />
                        </td>

                        <td align="left">
                            <select id="status" style="width:100px;">
                                <option value="All">All</option>
                                <option value="Open">Open</option>
                                <option value="Close">Close</option>
                            </select>
                            <input type="hidden" value="@ViewBag.Status" id="hdnstatus" />
                        </td>

                        <td align="left">
                            @Html.DropDownList("CourseGroup", "All")
                        </td>

                        <td>
                            <input type="number" style="width:60px" id="enqno" value="@ViewBag.enqno" />
                        </td>
                        <td>
                            <input type="text" style="width:120px" id="mobileno" value="@ViewBag.mobile" />

                        </td>
                        <td>
                            <select id="format">
                                <option value="PDF">PDF</option>
                                <option value="Excel">Excel</option>
                            </select>
                        </td>
                        <td style="vertical-align: top">
                            <table>
                                <tr>
                                    <td style="vertical-align: top">
                                        <input type="button" value="Search" id="Searchbtn" class="btn btn-primary" />
                                    </td>
                                    <td>
                                        <input type="button" value="Get Report" id="GetReport" class="btn btn-primary" />
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
            </div>
        </fieldset>
    </div>
</div>

<div align="center" style="padding-left: 20px;">
    <table align="left" border="1">
        <tr>
            <th colspan="3" align="center">
                Summary
            </th>
        </tr>
        <tr>
            <th width="50px">
                <a title="Total Enquiry"> Total</a>
            </th>
            <th>
                <a title="Total Enquiry Converted To Admission"> Converted</a>
            </th>
            <th>
                <a title="Total Enquiry Not Converted To Admission">UnConverted</a>
            </th>
        </tr>
        <tr>
            <th>
                @ViewBag.totalenq
            </th>
            <th>
                <a title=""></a>@ViewBag.Admission
            </th>
            <th>

                @ViewBag.NonInterested
            </th>
        </tr>
    </table>

</div>
<div class="col-md-3 text-center">
    <br />
    &nbsp;  <a href="/MaEnquiry/UpdateConversion" class="btn btn-primary">Update Conversion</a>
</div>
<div class="container-fluid">
    <div class="row-fluid">
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <p class="datail_style">
            <table>
                <tr>
                    <td>
                        <br />
                    </td>
                </tr>
                <tr>
                    <td></td>
                </tr>
            </table>
            <table width="100%" align="center">
                <tr>
                    <td align="left" width="50%"></td>
                    <td align="right" width="50%">
                        Total:@ViewBag.EnqListTotal
                    </td>
                </tr>
            </table>
        </p>
        <div class="well">
            <table id="example" class="row-border hover order-column" cellspacing="0" width="100%">
                <thead>
                    <tr>
                        <th width="50px">
                            Enq. No
                        </th>
                        <th width="120px">
                            Name
                        </th>
                        <th width="100px">
                            Enq. About
                        </th>
                        <th>
                            Mobile
                        </th>
                        <th>
                            Enq. Date
                        </th>
                        <th width="50px">
                            Enq. Status
                        </th>
                        <th>
                            Next Followup<br />Date
                        </th>
                        <th>
                            Enq Handle By
                        </th>
                        <th>
                            Remarks
                        </th>
                        <th>
                            Close Reason
                        </th>
                        <th>
                            Status
                        </th>

                        <th>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @{int i = 0;
                        int count = 0;
                        string bgcolor = "oddrow";
                    }
                    @foreach (var item in Model)
                    {

                        if (i % 2 == 0)
                        {
                            bgcolor = "evenrow";
                        }
                        else
                        {
                            bgcolor = "oddrow";
                        }
                        i++;

                        <tr class="@bgcolor">
                            <td>
                                @Html.DisplayFor(modelItem => item.Id)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.FirstName)
                                @Html.DisplayFor(modelItem => item.LastName)
                            </td>
                            <td>

                                @Html.DisplayFor(modelItem => item.EnqAbt)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.Mobile)
                            </td>
                            <td>
                                @{
                                    string cdate = string.Format("{0:dd MMM, yyyy}", item.WalkInDate);
                                }
                                @cdate
                            </td>
                            <td>
                                @{if (db.MaEnqFollows.Where(z => z.ReferId == item.Id && z.FollowUpType == "Enquiry").OrderByDescending(z => z.Id).Select(z => z.NextDate).Count() > 0)
                                    {
                                        string status = db.MaEnqFollows.Where(z => z.ReferId == item.Id && z.FollowUpType == "Enquiry").OrderByDescending(z => z.Id).Select(z => z.Enqstatus).First();
                                        @status
                                    }
                                }

                                @*@Html.DisplayFor(modelItem => item.FEnqstatus)*@
                            </td>
                            <td>
                                @{
                                    string Fndate = string.Format("{0:dd MMM, yyyy}", item.FNextDate);
                                }
                                @Fndate
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.User1.Fullname)
                            </td>

                            <td width="70px">
                                @{
                                    int _countremark = db.MaEnqFollows.Where(z => z.ReferId == item.Id && z.FollowUpType == "Enquiry").OrderByDescending(z => z.Id).Select(z => z.Remarks).Count();

                                    string remarks = "";

                                    if (_countremark > 0)
                                    {
                                        remarks = db.MaEnqFollows.Where(z => z.ReferId == item.Id && z.FollowUpType == "Enquiry").OrderByDescending(z => z.Id).Select(z => z.Remarks).First();
                                    }

                                    if (remarks != null)
                                    {
                                        if (remarks.Length > 20)
                                        {
                                            string sustrg = remarks.Substring(0, 20);
                                            @sustrg
                                            <br />
                                            <div class="box">
                                                <a id="remarks">Read-More...</a>
                                                <div class="overlay">
                                                    @remarks
                                                </div>
                                            </div>
                                        }
                                        else
                                        {
                                            @remarks
                                        }
                                    }
                                }
                            </td>
                            <td>
                                @{

                                    string remarks1 = db.MaEnqFollows.Where(z => z.ReferId == item.Id && z.FollowUpType == "Enquiry" && z.CloseReason != null).OrderByDescending(z => z.Id).Select(z => z.CloseReason).FirstOrDefault();

                                    if (remarks1 != null)
                                    {

                                        @remarks1

                                    }
                                }
                            </td>
                            <td>
                                @{string analysis = "UnConverted";

                                    if (db.MaAdmissions.Where(z => z.EnquiryId == item.Id).Count() > 0)
                                    {
                                        analysis = "Converted";
                                    }
                                    else
                                    {
                                        analysis = "UnConverted";
                                    }
                                    @analysis
                                }
                            </td>
                            <td>
                                @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "Details", new { id = item.Id })
                                @Html.ImageActionLink("../../Content/themes/base/images/sicon3.png", "EnqFollow", "_Index", "MaEnqFollow", new { id = item.Id, reftype = "Enquiry" }, new { @class = "editAcBtn" }, null)
                            </td>
                        </tr>

                                    }
                </tbody>
            </table>
            <input type="hidden" value="@count" id="hiddencount" />
        </div>
        @*<table width="100%" align="center">
                <tr>
                    <td align="left" width="50%">
                        @Html.Partial("_Pager")
                    </td>
                </tr>
            </table>*@
        <div id="delete-dialog" title="Confirmation">
            <p>
                Are You Sure you want to delete this
            </p>
        </div>
        <div id="editDialog" title="Enquiry Follow Up" style="width: 556px">
        </div>
    </div>
</div>
